<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich" xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle" xmlns="http://www.w3.org/1999/xhtml">
  <!-- param = datatable -->
  <g:column id="oidColumn" sortBy="#{'oid'}" sortOrder="ascending" filterBy="#{'oid'}">
    <ui:define name="header">#{messages['gazelle.hl7mpr.resourceOid']}</ui:define>
    <a href="../viewResource.seam?oid=#{datatable.oid}">#{datatable.oid}</a>
  </g:column>
  <g:column sortBy="#{'hl7Version'}" sortOrder="ascending" filterBy="#{'hl7Version'}">
    <ui:define name="header">#{messages['gazelle.hl7mpr.Hl7Version']}</ui:define>
    <h:outputText value="#{datatable.hl7Version}"/>
  </g:column>
  <!--<g:column sortBy="#{'weight'}" sortOrder="ascending" filterBy="#{'weight'}">-->
  <g:column>
  <ui:define name="header">#{messages['net.ihe.gazelle.hl7.Weight']}</ui:define>
    <h:outputText value="#{datatable.weight}"/>
  </g:column>
  <!--<g:column sortBy="#{'lastChanged'}" sortOrder="ascending" filterBy="#{'lastChanged'}">-->
  <g:column>
    <ui:define name="header">#{messages['gazelle.hl7.validator.LastChanged']}</ui:define>
    <h:outputText value="#{datatable.lastChanged}">
      <f:convertDateTime pattern="yyyy/MM/dd HH:mm:ss z" timeZone="#{applicationConfiguration.getValueOfVariable('time_zone')}"/>
    </h:outputText>
    <h:outputText value=" (#{datatable.lastModifier})" rendered="#{not empty datatable.lastModifier}"/>
  </g:column>
  <g:column style="white-space:normal" sortBy="#{'comment'}" sortOrder="ascending" filterBy="#{'comment'}">
    <ui:define name="header">#{messages['gazelle.hl7.validator.Comment']}</ui:define>
    <h:outputText value="#{datatable.comment}"/>
  </g:column>
</ui:composition>
